#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{
    int n,x;
    long int s=0,min,max;
    scanf("%d%d",&n,&x);
    long int a[n];
    for(int i=0;i<n;i++)
        scanf("%ld",&a[i]);
    min=a[0];max=a[0];
    for(int i=0;i<n;i++){
        if (min>a[i])min=a[i];
        if(max<a[i])max=a[i];
    }
    if(x<min&&x<max)
        s+=fabs(max-x);
    else if(x>min&&x>max)
        s+=fabs(x-min);
    else
    {
        if(fabs(x-max)<fabs(x-min)){
            s+=fabs(x-max);
            s+=fabs(max-min);
        }
        else{
            s+=fabs(x-min);
            s+=fabs(max-min);
        }
    }
    printf("%ld",s);
    return 0;
}